Register or update webhook
curl --request POST \
--url https://mcp.arlohealth.ai/api/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>",
"webhookToken": "<string>",
"deliveryContext": {},
"conversationSessionKey": "<string>",
"sessionKey": "<string>"
}
'import requests
url = "https://mcp.arlohealth.ai/api/webhook"
payload = {
"webhookUrl": "<string>",
"webhookToken": "<string>",
"deliveryContext": {},
"conversationSessionKey": "<string>",
"sessionKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookUrl: '<string>',
webhookToken: '<string>',
deliveryContext: {},
conversationSessionKey: '<string>',
sessionKey: '<string>'
})
};
fetch('https://mcp.arlohealth.ai/api/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"webhookUrl": "<string>",
"hasSecret": true,
"hasDeliveryContext": true,
"conversationSessionKey": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Webhooks
Register or update webhook
Registers a webhook URL for receiving consultation notifications. Validates the URL pattern (no private IPs) and tests connectivity before saving. Supports PATCH semantics - only provided fields are updated.
POST
/
api
/
webhook
Register or update webhook
Authorizations
OAuth 2.1 with PKCE
Body
application/json
Publicly accessible URL to receive POST notifications
Bearer token sent with webhook requests
Platform-specific delivery context (e.g. channel, thread)
Session key for threading notifications
Custom session key (defaults to rest-api:{accountId})
Was this page helpful?
⌘I